#ifndef __BOUNDING_VOLUME__
#define __BOUNDING_VOLUME__

#include "Vertex.h"
#include "Util.h"

// this holds polygons in a sphere bounding volume
// can also hold other volumes
struct BoundingVolume {

//	BoundingVolume(): mR(0.0), mG(0.0f), mB(0.0f), mReflection(0.0f), mRefraction(0.0f), mIndexOfRefraction(0.0f) {};
	float mCenterX, mCenterY, mCenterZ;
	float mRadius;

	// polygon list
	Polygon *mPolygons;
	int mNumPolygons;

	// these are for volumes that are being used as primitives
	float mR, mG, mB;
	float mReflection, mRefraction, mIndexOfRefraction;

	// contained bounding volumes...binary tree, so
	// either two volumes or none.
	BoundingVolume *mVolume1, *mVolume2;
	int mNumVolumes;
	Matrix *mMatrix;  // transformation


};

#endif