#ifndef __GEOMETRY__
#define __GEOMETRY__

#include <fbxsdk.h>
#include <vector>

#include "fbx/Common.h"
#include "Vertex.h"
#include "Mesh.h"

using namespace std;

// holds bounding volume hierarchy of meshes
class Geometry {

public:
	Geometry(KFbxNode *root);
	~Geometry();

	vector<Mesh *> getMeshes();
	void print();

private:
	void addAllChildren(KFbxNode *node, Mesh *m); // recursively gets all mesh children

//	Mesh *mRoot;
	vector<Mesh *> mMeshes;  // all meshes found

//	void print(Mesh *p, int depth);

};


#endif