#ifndef __MESH__
#define __MESH__

#include <fbxsdk.h>
#include <vector>

#include "fbx/Common.h"
#include "Vertex.h"
#include "Util.h"

using namespace std;

// helper function
void setMatrix(Matrix &out, KFbxXMatrix in);

// this class holds sets of vertices of a single mesh (polygons)

class Mesh {

public:
	Mesh(KFbxNode *node);
	~Mesh();

	void extractVerts(KFbxNode *node);
	vector<Polygon> getPolygons();
//	void addChild(Mesh *c);

//	vector<Mesh *>getChildren();
	char *getName();
	Matrix *getMatrix();
	// transform vertices according to initial matrix
	void transformVertices();


private:
	// vector of polgyons
	vector<Polygon> mPolys; 
//	Mesh *mParent;
//	vector<Mesh *> mChildren;
	char *mName;
	Matrix mMatrix;  // transformation matrix


};



#endif

